Alokai

SapccApiGetOrgCustomerRequest

Request parameters for getOrgCustomer operation in SapccApi. SapccApiGetOrgCustomerRequest

interface SapccApiGetOrgCustomerRequest {
	readonly baseSiteId: string;
	readonly fields?: GetOrgCustomerFieldsEnum;
	readonly orgCustomerId: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetOrgCustomer
fieldsOptionalGetOrgCustomerFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiGetOrgCustomer
orgCustomerIdRequiredstringOrganizational customer GUID. {string} SapccApiGetOrgCustomer
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetOrgCustomer

Referenced Types

On this page